Skip to content

API Reference

Check if a transaction suspicious activity exists

GET /transaction_suspicious_activity https://transaction-api.cable.tech

Authentication

  • Bearer token in the Authorization header

Query parameters

  • suspicious_activity_id string required

    The unique identifier of the transaction suspicious activity

Responses

200 Transaction suspicious activity exists

  • suspicious_activity_id string

    The unique identifier of the transaction suspicious activity

  • first_seen string

    This represents the earliest timestamp associated with the transaction suspicious activity

    Format date-time

  • last_seen string

    This represents the latest timestamp associated with the transaction suspicious activity

    Format date-time

  • organization_id string

    The organization ID for which the transaction suspicious activity was found

Errors

  • 401 Unauthorized request
  • 404 Transaction suspicious activity does not exist
  • 429 Rate limit exceeded
  • 500 Server error
  • default General error

Error body 401404429500default

  • code integer required

    Format int32

  • message string required
  • errors list of objects

    Detailed information about errors in specific fields.

    • field string
    • message string